package com.gic.enterprise.service.outer;

import com.alibaba.fastjson.JSON;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.constant.DownloadReportDataTypeEnum;
import com.gic.enterprise.constant.ExcelExtensionEnum;
import com.gic.enterprise.dto.HiveDataDownloadDTO;
import com.gic.enterprise.service.EnterpriseApiService;
import com.gic.enterprise.service.EnterpriseInitService;
import com.gic.enterprise.service.HiveDataDownloadApiService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.AbstractJUnit4SpringContextTests;

/**
 * @author guojx
 * @date 2019/7/16 6:31 PM
 */
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class HiveDataDownloadApiServiceImplTest extends AbstractJUnit4SpringContextTests{
    @Autowired
    HiveDataDownloadApiService hiveDataDownloadApiService;

    @Test
    public void hiveDataDownload() throws Exception {
        HiveDataDownloadDTO dataDownloadDTO = new HiveDataDownloadDTO();
        dataDownloadDTO.setEnterpriseId(1166);
        dataDownloadDTO.setApplyUserId(13805);
        dataDownloadDTO.setDataContent("用户-用户列表");
        dataDownloadDTO.setDataType(DownloadReportDataTypeEnum.COMPLETE_DATA.getCode());
        dataDownloadDTO.setDataUrl("https://four.gicdev.com/member-tag/member-tag/tag-val-edit?id=264137629747888139&name=111111");
        //dataDownloadDTO.setDesenField();
        dataDownloadDTO.setExcelExtension(ExcelExtensionEnum.CSV.getCode());
        dataDownloadDTO.setFileName("boom hive test");
        dataDownloadDTO.setSql("select order_id as '订单号' from extract_order_information");
        ServiceResponse<Integer> downloadTask = hiveDataDownloadApiService.createDownloadTask(dataDownloadDTO);
        System.out.println("downloadTask = " + JSON.toJSONString(downloadTask));
    }

}